# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    install_exe_if_needed(
        "X2GoClient_latest_mswin32-setup.exe",
        silentflags="/S",
        key="x2goclient",
        min_version=control.version.split("-", 1)[0],
        get_version=get_app_version,
    )

    # Removing desktop shortcut if allowed
    if params.get("remove_desktop_shortcut"):
        remove_desktop_shortcut("X2Go Client")


def get_app_version(key):
    return key["version"].split("-", 1)[0]

